{
    "easycom" : {
        "autoscan" : true,
        // 注意一定要放在custom里，否则无效，https://ask.dcloud.net.cn/question/131175
        "custom" : {
            "^u--(.*)" : "@/uni_modules/uview-plus/components/u-$1/u-$1.vue",
            "^up-(.*)" : "@/uni_modules/uview-plus/components/u-$1/u-$1.vue",
            "^u-([^-].*)" : "@/uni_modules/uview-plus/components/u-$1/u-$1.vue"
        }
    },
    "pages" : [
        //pages数组中第一项表示应用启动页，参考：https://uniapp.dcloud.io/collocation/pages
        {
            "path" : "pages/index/index",
            "style" : {
                "navigationBarTitleText" : "",
                "navigationStyle" : "custom",
                "backgroundColor" : "#FAFAF9",
                "navigationBarHidden" : true
            }
        },
        {
            "path" : "pages/login/login",
            "style" : {
                "navigationBarTitleText" : "",
                "navigationStyle" : "custom",
                "backgroundColor" : "#F7F1EF"
            }
        },
        {
            "path" : "pages/coupon/coupon",
            "style" : {
                "navigationBarTitleText" : "",
                "navigationStyle" : "custom",
                "backgroundColor" : "#FAFAF9"
            }
        },
        {
            "path" : "pages/shop/shop",
            "style" : {
                "navigationBarTitleText" : "",
                "navigationStyle" : "custom",
                "backgroundColor" : "#FAFAF9"
            }
        },
        {
            "path" : "pages/home/home",
            "style" : {
                "navigationBarTitleText" : "",
                "navigationStyle" : "custom",
                "backgroundColor" : "#FAFAF9"
            }
        },
        {
            "path" : "pages/car-type-select/car-type-select",
            "style" : {
                "navigationBarTitleText" : "车型选择"
            }
        },
        {
            "path" : "pages/evaluation-list/evaluation-list",
            "style" : {
                "navigationBarTitleText" : "评价列表"
            }
        },
        {
            "path" : "pages/groupOfCarFriends/groupOfCarFriends",
            "style" : {
                "navigationBarTitleText" : "我的-车友群",
                "navigationStyle" : "custom"
            }
        },
        {
            "path" : "pages/feedback/feedback1",
            "style" : {
                "navigationBarTitleText" : "投诉建议"
            }
        },
        {
            "path" : "pages/moreFunctions/moreFunctions",
            "style" : {
                "navigationBarTitleText" : "更多功能",
                "navigationStyle" : "custom"
            }
        },
        {
            "path" : "pages/VehicleConditionReport/VehicleConditionReport",
            "style" : {
                "navigationBarTitleText" : "更多功能-车况报告",
                "navigationStyle" : "custom"
            }
        },
        {
            "path" : "pages/RecordOfMaintenance/RecordOfMaintenance",
            "style" : {
                "navigationBarTitleText" : "更多功能-养护记录",
                "navigationStyle" : "custom"
            }
        },
        {
            "path" : "pages/maintenanceManual/maintenanceManual",
            "style" : {
                "navigationBarTitleText" : "更多功能-保养手册",
                "navigationStyle" : "custom"
            }
        },
        {
            "path" : "pages/joinInCooperation/joinInCooperation",
            "style" : {
                "navigationBarTitleText" : "更多功能-合作加盟",
                "navigationStyle" : "custom"
            }
        },
        {
            "path" : "pages/contactTheCustomerService/contactTheCustomerService",
            "style" : {
                "navigationBarTitleText" : "更多功能-联系客服",
                "navigationStyle" : "custom"
            }
        },
        {
            "path" : "pages/AboutThePlatform/AboutThePlatform",
            "style" : {
                "navigationBarTitleText" : "更多功能-关于平台",
                "navigationStyle" : "custom"
            }
        },
        {
            "path" : "pages/settingUp/settingUp",
            "style" : {
                "navigationBarTitleText" : "更多功能-设置",
                "navigationStyle" : "custom"
            }
        },
        {
            "path" : "pages/evaluation-detail/evaluation-detail",
            "style" : {
                "navigationBarTitleText" : "评价详情"
            }
        },
        {
            "path" : "pages/link/link",
            "style" : {
                "navigationBarTitleText" : "详情"
            }
        },
        {
        	"path" : "pages/webview/webview",
        	"style" : 
        	{
        		"navigationBarTitleText" : ""
        	}
        }
    ],
    "subPackages" : [
        {
            "root" : "pagesA", // 分包A
            "pages" : [
                {
                    "path" : "my-garage/my-garage",
                    "style" : {
                        "navigationBarTitleText" : "我的车库"
                    }
                },
                {
                    "path" : "add-car/add-car",
                    "style" : {
                        "navigationBarTitleText" : "添加爱车"
                    }
                },
                {
                    "path" : "GroupPurchaseOrder/GroupPurchaseOrder",
                    "style" : {
                        "navigationBarTitleText" : "我的-团购订单",
                        "navigationStyle" : "custom"
                    }
                },
                {
                    "path" : "order-center/order-center",
                    "style" : {
                        "navigationBarTitleText" : "订单中心"
                    }
                },
                {
                    "path" : "orderDetails/orderDetails",
                    "style" : {
                        "navigationBarTitleText" : "团购订单-订单详情",
                        "navigationStyle" : "custom"
                    }
                },
                {
                    "path" : "add-evaluation/add-evaluation",
                    "style" : {
                        "navigationBarTitleText" : "评价晒单"
                    }
                },
                {
                    "path" : "check-car/check-car",
                    "style" : {
                        "navigationBarTitleText" : "车检验车"
                    }
                },
                {
                    "path" : "gradeOfMembership/gradeOfMembership",
                    "style" : {
                        "navigationBarTitleText" : "会员等级"
                    }
                },
                {
                    "path" : "buyexplain/buyexplain",
                    "style" : {
                        "navigationBarTitleText" : "会员购买说明",
                        "navigationStyle" : "custom"
                    }
                },
                {
                    "path" : "insurance-rescue/insurance-rescue",
                    "style" : {
                        "navigationBarTitleText" : "保险救援"
                    }
                },
                {
                    "path" : "ershou-car/ershou-car",
                    "style" : {
                        "navigationBarTitleText" : "二手车",
                        "navigationStyle" : "custom"
                    }
                },
                {
                    "path" : "charge-detail/charge-detail",
                    "style" : {
                        "navigationBarTitleText" : "",
                        "navigationStyle" : "custom",
                        "backgroundColor" : "#FAFAF9"
                    }
                }
            ]
        },
        {
            "root" : "pagesB", // 分包B
            "pages" : [
                {
                    "path" : "home-shoucang/home-shoucang",
                    "style" : {
                        "navigationBarTitleText" : "收藏"
                    }
                },
                {
                    "path" : "home-zuji/home-zuji",
                    "style" : {
                        "navigationBarTitleText" : "足迹"
                    }
                },
                {
                    "path" : "refund/refund",
                    "style" : {
                        "navigationBarTitleText" : "",
                        "navigationStyle" : "custom",
                        "backgroundColor" : "#FAFAF9"
                    }
                },
                {
                    "path" : "home-shouhou-result/home-shouhou-result",
                    "style" : {
                        "navigationBarTitleText" : "审核结果"
                    }
                },
                {
                    "path" : "request-shouhou/request-shouhou",
                    "style" : {
                        "navigationBarTitleText" : "申请售后"
                    }
                },
                {
                    "path" : "request-refund/request-refund",
                    "style" : {
                        "navigationBarTitleText" : "申请退款"
                    }
                },
                {
                    "path" : "good-product-detail/good-product-detail",
                    "style" : {
                        "navigationBarTitleText" : "",
                        "navigationStyle" : "custom",
                        "backgroundColor" : "#FAFAF9"
                    }
                },
                {
                    "path" : "good-product-buy/good-product-buy",
                    "style" : {
                        "navigationBarTitleText" : "确认订单"
                    }
                },
                {
                    "path" : "shop-goods-detail/shop-goods-detail",
                    "style" : {
                        "navigationBarTitleText" : "",
                        "navigationStyle" : "custom"
                    }
                },
                {
                    "path" : "shop-sure-bill/shop-sure-bill",
                    "style" : {
                        "navigationBarTitleText" : "立即购买"
                    }
                }
            ]
        },
        {
            "root" : "pagesC", // 分包c
            "pages" : [
                {
                    "path" : "shop-car/shop-car",
                    "style" : {
                        "navigationBarTitleText" : "购物车"
                    }
                },
                {
                    "path" : "shop-detail/shop-detail",
                    "style" : {
                        "navigationBarTitleText" : "门店详情",
                        "backgroundColor" : "#FAFAF9"
                    }
                },
                {
                    "path" : "tugou-goods/tugou-goods",
                    "style" : {
                        "navigationBarTitleText" : "",
                        "navigationStyle" : "custom",
                        "backgroundColor" : "#FAFAF9"
                    }
                },
                {
                    "path" : "tugou-detail/tugou-detail",
                    "style" : {
                        "navigationBarTitleText" : "",
                        "navigationStyle" : "custom",
                        "backgroundColor" : "#FAFAF9"
                    }
                },
                {
                    "path" : "tugou-buy/tugou-buy",
                    "style" : {
                        "navigationBarTitleText" : "确认订单"
                    }
                },
                {
                    "path" : "choice-shop/choice-shop",
                    "style" : {
                        "navigationBarTitleText" : "",
                        "navigationStyle" : "custom",
                        "backgroundColor" : "#F9F9F9"
                    }
                },
                {
                    "path" : "car-beautify-buy/car-beautify-buy",
                    "style" : {
                        "navigationBarTitleText" : "",
                        "navigationStyle" : "custom",
                        "backgroundColor" : "#F9F9F9"
                    }
                }
            ]
        },
        {
            "root" : "pagesD", // 分包D
            "pages" : [
                {
                    "path" : "self-car-wash/self-car-wash",
                    "style" : {
                        "navigationBarTitleText" : "自助洗车详情",
                        "navigationStyle" : "custom"
                    }
                },
                {
                    "path" : "self-quick-buy/self-quick-buy",
                    "style" : {
                        "navigationBarTitleText" : "立即下单",
                        "navigationStyle" : "custom"
                    }
                },
                {
                    "path" : "self-bill-detail/self-bill-detail",
                    "style" : {
                        "navigationBarTitleText" : "",
                        "navigationStyle" : "custom"
                    }
                },
                {
                    "path" : "unpay-order-detail/unpay-order-detail",
                    "style" : {
                        "navigationBarTitleText" : "订单详情-待付款",
                        "navigationStyle" : "custom"
                    }
                },
                {
                    "path" : "unuse-order-detail/unuse-order-detail",
                    "style" : {
                        "navigationBarTitleText" : "订单详情-待使用",
                        "navigationStyle" : "custom"
                    }
                },
                {
                    "path" : "unevaluated-order-detail/unevaluated-order-detail",
                    "style" : {
                        "navigationBarTitleText" : "订单详情-待评价",
                        "navigationStyle" : "custom"
                    }
                },
                {
                    "path" : "quick-buy-oil/quick-buy-oil",
                    "style" : {
                        "navigationBarTitleText" : "立即购买"
                    }
                },
                {
                    "path" : "quick-buy/quick-buy",
                    "style" : {
                        "navigationBarTitleText" : "立即购买"
                    }
                },
                {
                    "path" : "coupon-quick-exchange/coupon-quick-exchange",
                    "style" : {
                        "navigationBarTitleText" : "立即兑换"
                    }
                },
                {
                    "path" : "notice-center/notice-center",
                    "style" : {
                        "navigationBarTitleText" : "公告中心"
                    }
                },
                {
                    "path" : "car-type-num-select/car-type-num-select",
                    "style" : {
                        "navigationBarTitleText" : "型号选择"
                    }
                },
                {
                    "path" : "search/search",
                    "style" : {
                        "navigationBarTitleText" : "搜索"
                    }
                }
            ]
        },
        {
            "root" : "pagesE", // 分包E
            "pages" : [
                {
                    "path" : "home-set/home-set",
                    "style" : {
                        "navigationBarTitleText" : "设置",
                        "backgroundColor" : "#FFFFFF"
                    }
                },
                {
                    "path" : "home-jifen/home-jifen",
                    "style" : {
                        "navigationBarTitleText" : "我的积分"
                    }
                },
                {
                    "path" : "home-zhuanjifen/home-zhuanjifen",
                    "style" : {
                        "navigationBarTitleText" : "赚积分"
                    }
                },
                {
                    "path" : "home-jifenshangcheng/home-jifenshangcheng",
                    "style" : {
                        "navigationBarTitleText" : "积分商城"
                    }
                },
                {
                    "path" : "home-jifen-detail/home-jifen-detail",
                    "style" : {
                        "navigationBarTitleText" : "",
                        "navigationStyle" : "custom"
                    }
                },
                {
                    "path" : "home-jifen-duihuan/home-jifen-duihuan",
                    "style" : {
                        "navigationBarTitleText" : "立即兑换"
                    }
                },
                {
                    "path" : "home-youhuiquan/home-youhuiquan",
                    "style" : {
                        "navigationBarTitleText" : "优惠券"
                    }
                },
                {
                    "path" : "check-car-bill/check-car-bill",
                    "style" : {
                        "navigationBarTitleText" : "确认订单"
                    }
                },
                {
                    "path" : "oil-bill-detail/oil-bill-detail",
                    "style" : {
                        "navigationBarTitleText" : "订单详情"
                    }
                },
                {
                    "path" : "pay-success/pay-success",
                    "style" : {
                        "navigationBarTitleText" : "支付成功"
                    }
                },
                {
                    "path" : "message-center/message-center",
                    "style" : {
                        "navigationBarTitleText" : "消息中心",
                        "backgroundColor" : "#FF4502"
                    }
                },
                {
                    "path" : "exchange-success/exchange-success",
                    "style" : {
                        "navigationBarTitleText" : "兑换成功"
                    }
                },
                {
                    "path" : "maintenance/maintenance",
                    "style" : {
                        "navigationBarTitleText" : "配件修换",
                        "navigationStyle" : "custom"
                    }
                },
				{
					"path": "upgradeConfiguration/upgradeConfiguration",
					"style": {
						"navigationBarTitleText": "升级配置",
						"navigationStyle" : "custom"
					}
				},
				{
					"path": "daily/daily",
					"style": {
						"navigationBarTitleText": "日常保养",
						"navigationStyle" : "custom"
					}
				},
                {
                    "path" : "car-info/car-info",
                    "style" : {
                        "navigationBarTitleText" : "车辆信息"
                    }
                }
            ]
        },
        {
            "root" : "pagesF", // 分包F
            "pages" : [
                {
                    "path" : "instructions/instructions",
                    "style" : {
                        "navigationBarTitleText" : "",
                        "backgroundColor" : "#FFFFFF"
                    }
                },
                {
                    "path" : "oil-quan-detail/oil-quan-detail",
                    "style" : {
                        "navigationStyle" : "custom",
                        "navigationBarTitleText" : ""
                    }
                },
                {
                    "path" : "maintenance-detail/maintenance-detail",
                    "style" : {
                        "navigationBarTitleText" : "",
                        "navigationStyle" : "custom"
                    }
                },
                {
                    "path" : "coupon-detail/coupon-detail",
                    "style" : {
                        "navigationBarTitleText" : "票券详情"
                    }
                },
                {
                    "path" : "oil-detail/oil-detail",
                    "style" : {
                        "navigationBarTitleText" : "",
                        "navigationStyle" : "custom",
                        "backgroundColor" : "#FAFAF9"
                    }
                },
                {
                    "path" : "car-beauty/car-beauty",
                    "style" : {
                        "navigationBarTitleText" : "洗车美容"
                    }
                },
                {
                    "path" : "add-oil/add-oil",
                    "style" : {
                        "navigationBarTitleText" : "加油充电"
                    }
                },
                {
                    "path" : "choice-city/choice-city",
                    "style" : {
                        "navigationBarTitleText" : "选择城市",
                        "backgroundColor" : "#FAFBFF"
                    }
                }
            ]
        }
    ],
    "preloadRule" : {
        // 分包预载配置
        "pages/index/index" : {
            // 在进入小程序pages/index页面时，由框架自动预下载分包F
            "network" : "all",
            "packages" : [ "pagesF" ]
        }
    },
    "globalStyle" : {
        "navigationBarTextStyle" : "black",
        "navigationBarTitleText" : "uni-app",
        "navigationBarBackgroundColor" : "#FAFBFF",
        "backgroundColor" : "#FAFBFF"
    },
    "tabBar" : {
        "fontSize" : "12px",
        "color" : "#999999",
        "selectedColor" : "#FF4502",
        "borderStyle" : "white",
        "backgroundColor" : "#ffffff",
        "list" : [
            {
                "pagePath" : "pages/index/index",
                "iconPath" : "static/tabbar/index.png",
                "selectedIconPath" : "static/tabbar/indexed.png",
                "text" : "首页"
            },
            {
                "pagePath" : "pages/coupon/coupon",
                "iconPath" : "static/tabbar/coupon.png",
                "selectedIconPath" : "static/tabbar/couponed.png",
                "text" : "领券"
            },
            {
                "pagePath" : "pages/shop/shop",
                "iconPath" : "static/tabbar/shop.png",
                "selectedIconPath" : "static/tabbar/shoped.png",
                "text" : "门店"
            },
            {
                "pagePath" : "pages/home/home",
                "iconPath" : "static/tabbar/home.png",
                "selectedIconPath" : "static/tabbar/homeed.png",
                "text" : "我的"
            }
        ]
    },
    "uniIdRouter" : {},
    "permission" : {
        "scope.userLocation" : {
            "desc" : "你的位置信息将用于小程序位置接口的效果展示"
        }
    },
    "condition" : {
        //模式配置，仅开发期间生效
        "current" : 0, //当前激活的模式(list 的索引项)
        "list" : [
            {
                "name" : "", //模式名称
                "path" : "", //启动页面，必选
                "query" : "" //启动参数，在页面的onLoad函数里面得到
            }
        ]
    }
}
